Skip to main content
POST
/
{chainId}
/
deposit
/
prepare
Prepare Deposit
curl --request POST \
  --url https://api.caminotreasury.com/v1/{chainId}/deposit/prepare \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "token": "USDC",
  "amount": "1000.50",
  "from": "<string>",
  "recipient": "<string>"
}
'
{
  "steps": [
    {
      "type": "reset-approval",
      "description": "<string>",
      "transaction": {
        "to": "<string>",
        "data": "<string>",
        "value": "<string>"
      }
    }
  ],
  "summary": {
    "tokenIn": "<string>",
    "tokenOut": "<string>",
    "amountIn": "<string>",
    "amountInRaw": "<string>"
  }
}

Authorizations

x-api-key
string
header
required

API key for authentication. Pass your key in the x-api-key header.

Path Parameters

chainId
integer
required

Blockchain chain ID

Body

application/json
token
enum<string>
required

Stablecoin to deposit or receive

Available options:
USDC,
USDT
amount
string
required

Amount as a decimal string (e.g. "1000.50")

Example:

"1000.50"

from
string
required

Source wallet address

Pattern: ^0x[a-fA-F0-9]{40}$
recipient
string
required

Recipient wallet address

Pattern: ^0x[a-fA-F0-9]{40}$

Response

Transaction steps and summary

steps
object[]

Ordered list of transactions to sign and submit

summary
object